<template>
    <div class="tags">
       <div class="tags-item" v-for="tag in tags" :key="tag.id">
            <div class="tags-item__content">
                <div class="tags-item__content-icon"></div>
                <div class="tags-item__content-title">{{ tag.name }}</div>
            </div>
            <div  class="tags-space"></div>
        </div> 
    </div>
  </template>
  
  <script>

  export default {
    name: 'Tags',
    data() {
        return {
            width: 0,
            tags: [
                {
                    id: 1,
                    name: 'Обзорная',
                    icon: ''
                },
                {
                    id: 2,
                    name: 'На автобусе',
                    icon: ''
                },
                {
                    id: 3,
                    name: '25 марта',
                    icon: ''
                },
                {
                    id: 4,
                    name: '6 часов',
                    icon: ''
                },
                {
                    id: 5,
                    name: 'Кондиционер',
                    icon: ''
                },
                {
                    id: 6,
                    name: 'Гид',
                    icon: ''
                },
                {
                    id: 7,
                    name: 'Перекус',
                    icon: ''
                },
                {
                    id: 8,
                    name: 'Бонус',
                    icon: ''
                },

            ]
        }
    }, 
    created() {
        window.addEventListener('resize', this.updateWidth);
    },
    methods: {
        handleResize () {
            //document.querySelector('.tags-item')
            // console.log(el, 'el')
        },

        updateWidth() {
            this.width = window.innerWidth;
            console.log(document.querySelector('.tags-item').offsetWidth, 'width')
        }
    }
  }
  </script>
  
  <style scoped lang="scss">

    .tags {
        width: 100%;
        min-width: 200px;
        height: auto;
        padding: 20px;
        border-radius: 4px;
        box-sizing: border-box;
        background: #ccc;
        display: flex;
        flex-direction: row;
        overflow: hidden;
        justify-content: space-between;
        &-item {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 100%;
            // justify-content: space-between;
            // padding: 5px 10px;
            border-radius: 4px;
            color: #2e2e2e;
            box-sizing: border-box;
            // margin-right: 10px;
            position: relative;
            &:first-child {
                &__content {
                    margin-left: 0;
                }
            }
            &:last-child {
                margin: 0;
                // &:before {
                //     content: '';
                //     display: none;
                // }
                &__content {
                    margin-right: 0;
                }
                & .tags-space {
                    display: none;
                }
            }
            &__content {
                display: flex;
                flex-direction: row;
                align-items: center;
                white-space: nowrap;
                margin: 0 10px;
            }
            &__content-icon {

            }
            &__content-title {
                
            }
            // &:before {
            //     content: '';
            //     position: absolute;
            //     width: 4px;
            //     height: 4px;
            //     right: -6px;
            //     top: 0;
            //     bottom: 0;
            //     margin: auto;
            //     border-radius: 50%;
            //     background-color: #2e2e2e;
            // }
        }
        &-space {
            width: 4px;
            height: 4px;
            margin: auto;
            border-radius: 50%;
            background-color: #2e2e2e;
        }

        
    }
  </style>
  